
# This is Make.inc file generated automatically by the PSBLAS configure script.
# It should be ready to use, included by Makefile.
# If it gives problems, consider editing it.

# These lines are quite portable.
.mod=.mod
.fh=.fh
.SUFFIXES: 
.SUFFIXES: .f90 .F90 .f .F .c .o


# The following ones are the variables used by the PSBLAS make scripts.

F90=mpif90 -fPIC
FC=mpif77 -fPIC
CC=mpicc -fPIC
#F77=x86_64-alt-linux-gfortran
F90COPT=-pipe -Wall -g -O2 -fPIC -DPIC -DHAVE_METIS -fPIC -DPIC 
FCOPT=-pipe -Wall -g -O2 -fPIC -DPIC -DHAVE_METIS -fPIC -DPIC 
CCOPT=-pipe -Wall -g -O2 -fPIC -DPIC -DHAVE_METIS -fPIC -DPIC 
FMFLAG=-I
FIFLAG=-I
EXTRA_OPT=

# These three should be always set!
MPF90=mpif90 -fPIC
MPF77=mpif90 -fPIC
MPCC=mpicc -fPIC

F90LINK=$(MPF90)
FLINK=$(MPF77)

LIBS= 

# BLAS,  METIS and other libraries.
BLAS=-lgoto2
METIS_LIB=-lmetis -lm
RSB_LIBS=
LAPACK=-llapack
EXTRA_COBJS=

PSBFDEFINES=-DHAVE_LAPACK -DHAVE_FLUSH_STMT -DHAVE_VOLATILE -DHAVE_MOVE_ALLOC -DMPI_MOD  -DHAVE_METIS
PSBCDEFINES=-DLowerUnderscore -DPtr64Bits 
AR=ar -cur
RANLIB=ranlib
CFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DHAVE_METIS
FFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DHAVE_METIS -fPIC -DPIC 

INSTALL=/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_DIR=/usr
INSTALL_LIBDIR=/usr/lib64
INSTALL_INCLUDEDIR=/usr/include
INSTALL_DOCSDIR=/usr/share/doc/libpsblas

LIBDIR=lib
BASELIBNAME=libpsb_base.a
PRECLIBNAME=libpsb_prec.a
METHDLIBNAME=libpsb_krylov.a
UTILLIBNAME=libpsb_util.a


PSBLDLIBS=$(LAPACK) $(BLAS) $(METIS_LIB) $(RSB_LIBS) $(LIBS)
CDEFINES=$(PSBCDEFINES)
FDEFINES=$(PSBFDEFINES)


# These should be portable rules, arent they?
.c.o:
	$(CC) $(CCOPT) $(CINCLUDES) $(CDEFINES) -c $<
.f.o:
	$(FC) $(FCOPT) $(FINCLUDES)  -c $<
.f90.o:
	$(F90) $(F90COPT) $(FINCLUDES) -c $<
.F.o:
	$(FC)  $(FCOPT)   $(FINCLUDES) $(FDEFINES) -c $<
.F90.o:
	$(F90) $(F90COPT) $(FINCLUDES) $(FDEFINES) -c $<


